Runtime

## org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.editor
Class IDEDiagramDocumentEditor

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.ui.part.WorkbenchPart
              org.eclipse.ui.part.EditorPart
                  org.eclipse.gef.ui.parts.GraphicalEditor
                      org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditor
                          org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditorWithFlyOutPalette
                              org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocumentEditor
                                  org.eclipse.gmf.runtime.diagram.ui.resources.editor.ide.editor.IDEDiagramDocumentEditor

All Implemented Interfaces:
  CommandStackListener, IAdaptable, IDiagramWorkbenchPart, IDocumentEditor, IEditorPart, IExecutableExtension, IGotoMarker, IReusableEditor, ISaveablePart, ISelectionListener, IShowInSource, ITabbedPropertySheetPageContributor, IWorkbenchPart, IWorkbenchPart2, IWorkbenchPartOrientation

Direct Known Subclasses:
  FileDiagramEditor

public class IDEDiagramDocumentEditor
extends DiagramDocumentEditor
implements IGotoMarker

Nested Class Summary

Nested classes inherited from class org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditorWithFlyOutPalette
`DiagramEditorWithFlyOutPalette.CustomPalettePage`

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocumentEditor
`fErrorLabel`

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditorWithFlyOutPalette
`COLLAPSED, UNCOLLAPSED_PINNED`

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditor
`ID_OUTLINE, ID_OVERVIEW, workspaceViewerPreferenceStore`

Fields inherited from interface org.eclipse.ui.IEditorPart
`PROP_DIRTY, PROP_INPUT`

Fields inherited from interface org.eclipse.ui.IWorkbenchPart
`PROP_TITLE`

Constructor Summary
`IDEDiagramDocumentEditor(boolean hasFlyoutPalette)`

Method Summary
`void` `gotoMarker(IMarker marker)` go to a specific marker
`protected void` `performSaveAs(IProgressMonitor progressMonitor)` Performs a save as and reports the result state back to the given progress monitor.

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.parts.DiagramDocumentEditor

`askUserReload, askUserSaveClose, askUserSaveOverwrite, close, configureDiagramEditDomain, createActionManager, createEditingDomain, createOperationHistory, createPartControl, dispose, disposeDocumentProvider, doSave, doSaveAs, doSetInput, editorSaved, enableSanityChecking, enableStateValidation, firePropertyChange, getAdapter, getDefaultPaletteContent, getDiagram, getDiagramDocument, getDocumentProvider, getDocumentProvider, getEditingDomain, getEditingDomainID, getEditorDescriptor, getProgressMonitor, handleEditorInputChanged, handleElementContentAboutToBeReplaced, handleElementContentReplaced, handleExceptionOnSave, init, isDirty, isEditable, isEditorInputModifiable, isEditorInputReadOnly, isSaveAsAllowed, performSave, releaseInput, reuseDiagramOnMove, safelySanityCheckState, sanityCheckState, selectionChanged, setDocumentProvider, setDocumentProvider, setInput, setSite, updateState, validateEditorInputState, validateState`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditorWithFlyOutPalette
`configurePaletteViewer, createPaletteRoot, createPaletteViewerProvider, getInitialPaletteSize, getInitialPaletteState, getPaletteViewerProvider, handlePaletteDefaultStateChanged, handlePaletteResized, initializeGraphicalViewer, setEditDomain, setFocus, startListening, stopListening`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.parts.DiagramEditor

`addDefaultPreferences, addDefaultPreferences, clearGraphicalViewerContents, closeEditor, configureGraphicalViewer, createActions, createDiagramEditDomain, createGraphicalViewer, createHistoryListener, createScrollingGraphicalViewer, getActionManager, getContributorId, getDefaultOutlineViewMode, getDiagramEditDomain, getDiagramEditPart, getDiagramGraphicalViewer, getElements, getGraphicalControl, getKeyHandler, getOperationHistory, getOutlineViewEditPartFactory, getPreferencesHint, getRulerComposite, getShowInContext, getSite, getUndoContext, getWorkspaceViewerPreferenceStore, getZoomManager, initializeGraphicalViewerContents, isWritable, persistViewerSettings, setRulerComposite, setUndoContext, shouldAddUndoContext`

Methods inherited from class org.eclipse.gef.ui.parts.GraphicalEditor
`commandStackChanged, getActionRegistry, getCommandStack, getEditDomain, getGraphicalViewer, getPropertyActions, getSelectionActions, getSelectionSynchronizer, getStackActions, hookGraphicalViewer, initializeActionRegistry, setActionRegistry, setGraphicalViewer, updateActions`

Methods inherited from class org.eclipse.ui.part.EditorPart
`checkSite, getEditorInput, getEditorSite, getTitleToolTip, isSaveOnCloseNeeded, setContentDescription, setInitializationData, setInputWithNotify, setPartName`

Methods inherited from class org.eclipse.ui.part.WorkbenchPart
`addPropertyListener, getConfigurationElement, getContentDescription, getDefaultImage, getOrientation, getPartName, getTitle, getTitleImage, removePropertyListener, setTitle, setTitleImage, setTitleToolTip, showBusy`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.IEditorPart
`getEditorInput, getEditorSite`

Methods inherited from interface org.eclipse.ui.IWorkbenchPart
`addPropertyListener, getSite, getTitle, getTitleImage, getTitleToolTip, removePropertyListener, setFocus`

Methods inherited from interface org.eclipse.ui.ISaveablePart
`isSaveOnCloseNeeded`

Constructor Detail

### IDEDiagramDocumentEditor

    public IDEDiagramDocumentEditor(boolean hasFlyoutPalette)

Method Detail

### performSaveAs

    protected void performSaveAs(IProgressMonitor progressMonitor)

  Performs a save as and reports the result state back to the given progress monitor. This default implementation does nothing. Subclasses may reimplement.

  Overrides:
    `performSaveAs` in class `DiagramDocumentEditor`
  Parameters:
    `progressMonitor` - the progress monitor for communicating result state or `null`

### gotoMarker

    public final void gotoMarker(IMarker marker)

  go to a specific marker

  Specified by:
    `gotoMarker` in interface `IGotoMarker`
  Parameters:
    `marker` - marker to use

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.